Subject: Re: Need help in umounting the auto mounted mount points
From: David T-G <[email-masked]>
To: "CygWin Users' List" <[email-masked]>
Cc: Jon LaBadie <[email-masked]>
Date: Thu, 6 Jun 2002 09:51:41 -0500

Jon, et al --

...and then Jon LaBadie said...
% 
% On Thu, Jun 06, 2002 at 10:31:49AM +0200, Gerrit P. Haase wrote:
% > Geetha schrieb:
% > 
...
% > > u: on /cygdrive/u type user (textmode,noumount)
% > 
% > You can change the /cygdrive prefix to s.th. else (like '/').
% 
% Really, did not realize this.  I've always made symlinks
% for all the drives to /cygdrive/X.

That's what I heard, too.  I was very happy with the B20 //c access and
quite confused and dismayed by the change to /cygwin/c when I first met
it.

% 
% I'd prefer an ls -l of /c to show the drive, not the link :)
% Do cygwin users commonly change the /cygdrive prefix to '/'?

I don't know about commonly, but this came up on the list a while back
with various inputs; see the archives.

I, like you, want /c to really be /c and not a link, both because of
having to make a link at all and of having to deal with them in ls later.
I took the hard route and changed /cygdrive to /c in the registry,
but the mount command lets you do it much more easily :-)

% 
% Are there any issues, positive or negative, in doing so?

I haven't had any problems, other than tripping over scripts and having
to change "//" to "/" (but it would have had to change to "/cygwin"
anyway so it's still a win for me).

% 
% -- 
% Jon H. LaBadie                  [email-masked]
%  JG Computing
%  4455 Province Line Road        (609) 252-0159
%  Princeton, NJ  08540-4322      (609) 683-7220 (fax)

HTH & HAND

:-D
-- 
David T-G                      * It's easier to fight for one's principles
(play) [email-masked] * than to live up to them. -- fortune cookie
(work) [email-masked]
http://www.justpickone.org/davidtg/    Shpx gur Pbzzhavpngvbaf Qrprapl Npg!